GET V1/GHG.{ext}/Configuration?commodity={commodity}&emissionSource={emissionSource}&equivalentUOM={equivalentUOM}&uOM={uOM}

To get configuration data

Request Information

URI Parameters

NameDescriptionTypeAdditional information
commodity

No description available

string

Default value is

emissionSource

No description available

string

Default value is

equivalentUOM

No description available

string

Default value is

uOM

No description available

string

Default value is

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

EMSResponseOfEMS.GHG.Entities.ConfigurationSearch
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.GHG.Entities.ConfigurationSearch

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "ConfigurationSearch",
  "response": {
    "configurationId": 1,
    "commodity": "sample string 1",
    "uom": "sample string 2",
    "calculation": "sample string 3",
    "cO2eqUOM": "sample string 4",
    "groupType": "sample string 5"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.